%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Services_Twitter

Name:           php-pear-Services-Twitter
Version:        0.6.3
Release:        2%{?dist}
Summary:        PHP interface to Twitter's API

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/Services_Twitter
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
Source2:        xml2changelog

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}
Requires:       php-pear(PEAR)
Requires:       php-xml php-mbstring >= 5.2.0
# Optional (but which requires mandatory HTTP_Request2)
Requires:       php-pear(HTTP_OAuth) >= 0.1.7


%description
An interface for communicating with Twitter's public API.
Send status updates, fetch information, add friends, etc.

%prep
%setup -q -c
# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

# Generate Changelog
%{_bindir}/php -n %{SOURCE2} package.xml | tee CHANGELOG | head -n 5

cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml



# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        pear.php.net/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Services
%{pear_datadir}/Services_Twitter
%{pear_testdir}/Services_Twitter


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Sep 18 2010 Remi Collet <Fedora@FamilleCollet.com> 0.6.3-1
- Version 0.6.3 (beta) - API 0.6.0 (beta)
- set date.timezone during build

* Mon Aug 09 2010 Remi Collet <Fedora@FamilleCollet.com> 0.6.2-1
- Version 0.6.2 (beta) - API 0.6.0 (beta)

* Sun Jun 06 2010 Remi Collet <Fedora@FamilleCollet.com> 0.6.1-1
- update Version 0.6.1 (beta) - API 0.6.0 (beta)
- sort changelog

* Wed Jun 02 2010 Remi Collet <Fedora@FamilleCollet.com> 0.6.0-1
- update Version 0.6.0 (beta) - API 0.6.0 (beta)
- add generated changelog (from package.xml)

* Mon Mar  1 2010 Remi Collet <Fedora@FamilleCollet.com> 0.5.1-1
- update to 0.5.1
- fix requires (php-xml php-mbstring)

* Thu Jan 07 2010 Remi Collet <Fedora@FamilleCollet.com> 0.5.0-1
- update to 0.5.0

* Wed Nov 11 2009 Remi Collet <Fedora@FamilleCollet.com> 0.4.0-1
- initial RPM

